org.apache.cassandra.io.sstable.format

## Interface SSTableReadsListener

    public interface SSTableReadsListener

Listener for receiving notifications associated with reading SSTables.

### Nested Class Summary

Nested Classes
`static class` `SSTableReadsListener.SelectionReason` The reasons for selecting an SSTable
`static class` `SSTableReadsListener.SkippingReason` The reasons for skipping an SSTable

### Field Summary

Fields
`static SSTableReadsListener` `NOOP_LISTENER` Listener that does nothing.

### Method Summary

All Methods Instance Methods Default Methods
`default void` `onScanningStarted(SSTableReader sstable)` Handles notification that the specified SSTable is being scanned during a partition range query.
`default void` `onSSTableSelected(SSTableReader sstable, RowIndexEntry<?> indexEntry, SSTableReadsListener.SelectionReason reason)` Handles notification that the specified SSTable has been selected during a single partition query.
`default void` `onSSTableSkipped(SSTableReader sstable, SSTableReadsListener.SkippingReason reason)` Handles notification that the specified SSTable has been skipped during a single partition query.

### Field Detail

#### NOOP_LISTENER

    static final SSTableReadsListener NOOP_LISTENER

Listener that does nothing.

### Method Detail

#### onSSTableSkipped

    default void onSSTableSkipped(SSTableReader sstable,
                                  SSTableReadsListener.SkippingReason reason)

Handles notification that the specified SSTable has been skipped during a single partition query.

Parameters:
  `sstable` - the SSTable reader
  `reason` - the reason for which the SSTable has been skipped

#### onSSTableSelected

    default void onSSTableSelected(SSTableReader sstable,
                                   RowIndexEntry<?> indexEntry,
                                   SSTableReadsListener.SelectionReason reason)

Handles notification that the specified SSTable has been selected during a single partition query.

Parameters:
  `sstable` - the SSTable reader
  `indexEntry` - the index entry
  `reason` - the reason for which the SSTable has been selected

#### onScanningStarted

    default void onScanningStarted(SSTableReader sstable)

Handles notification that the specified SSTable is being scanned during a partition range query.

Parameters:
  `sstable` - the SSTable reader of the SSTable being scanned.